>From 4a32d7dca4f8ccdca655ba5b164554212df6d83a Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 1 Jul 2011 00:38:34 +0300
Subject: [PATCH] coreboot mods for flashrom payload

This enables to choose flashrom payload, when using SEABIOS with cbfs support
also libpayload temporary hack for malloc(>16KB) :)

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 payloads/libpayload/lib/libpayload.ldscript |    4 ++--
 src/arch/x86/Makefile.inc                   |    1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/payloads/libpayload/lib/libpayload.ldscript b/payloads/libpayload/lib/libpayload.ldscript
index 830a390..084bf20 100644
--- a/payloads/libpayload/lib/libpayload.ldscript
+++ b/payloads/libpayload/lib/libpayload.ldscript
@@ -34,8 +34,8 @@ OUTPUT_ARCH(i386)
 
 ENTRY(_entry)
 
-HEAP_SIZE = 16384;
-STACK_SIZE = 16384;
+HEAP_SIZE = 15003840;
+STACK_SIZE = 8003840;
 
 SECTIONS
 {
diff --git a/src/arch/x86/Makefile.inc b/src/arch/x86/Makefile.inc
index e9c00de..dc73493 100644
--- a/src/arch/x86/Makefile.inc
+++ b/src/arch/x86/Makefile.inc
@@ -106,6 +106,7 @@ ifeq ($(CONFIG_INCLUDE_CONFIG_FILE),y)
 	sed -e '/^#/d' -e '/^ *$$/d' $(DOTCONFIG) >> $(obj)/config.tmp ; \
 	$(CBFSTOOL) $@.tmp add $(obj)/config.tmp config raw; rm -f $(obj)/config.tmp ; fi
 endif
+	$(CBFSTOOL) $@.tmp add-payload ./payloads/flashrom/flashrom img/flashrom $(CBFS_PAYLOAD_COMPRESS_FLAG)
 	mv $@.tmp $@
 	@printf "    CBFSPRINT  $(subst $(obj)/,,$(@))\n\n"
 	$(CBFSTOOL) $@ print
-- 
1.7.0.4

